/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__NWIDGETDRAWABLE__
#define	__NWIDGETDRAWABLE__


		#include "ui/widget.h"
		#include "picture/pict.h"


namespace GS {
	namespace S2D {

/*!
	@short	Drawable widget.
	@author	Emmanuel Julien (ejulien@nworks.fr)
*/
class	DrawableWidget : public Widget
{
protected:

		sPicture	picture;

public:

		Picture		*GetPicture() const { return picture; }

virtual	void		Refresh() {}
virtual	void		Compose(Picture &output, const iRect &clip_rect);

protected:

		DrawableWidget(int id = -1);
virtual	~DrawableWidget() {}
};

	} // S2D
} // GS


#endif	// __NWIDGETDRAWABLE__
